/*
 *  cameraCapture.h
 *  emptyExample
 *
 *  Created by theo on 17/11/2010.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#pragma once

#include "ofMain.h"
#include "CanonCameraWrapper.h"
#include "ofxThread.h"

class cameraCapture : public ofxThread{

	public:
		cameraCapture();

		void openCamera();
		void closeCamera();
		
		bool isCameraRunning();
		bool isLiveViewActive();
		
		void update();
		void draw(float x, float y);
		void draw(float x, float y, float w, float h);
		
		bool isFrameNew();
		
		ofImage img;
		
		bool bCameraRunning;

		CanonCameraWrapper cam;

	protected:
		void threadedFunction();
		
		int preFrame;
		bool bFrameNew;
	
};